明经CAD社区

 找回密码
 注册

扫一扫,访问微社区

QQ登录

只需一步,快速开始

查看: 1453|回复: 3

如何在组码中添加标记

[复制链接]
发表于 2012-11-10 21:00 | 显示全部楼层 |阅读模式
请教:
       如何才能添加 点对 到图元组码表中,而不影响图元的生成.
例如:一条直线组码(-1 . <图元名: 7ef53e78>) (0 . "LINE") (330 . <图元名: 7ef53cf8>) (5 . "87")
(100 . "AcDbEntity") (67 . 0) (410 . "Model") (8 . "0") (100 . "AcDbLine") (10
727.892 259.425 0.0) (11 1218.86 525.501 0.0) (210 0.0 0.0 1.0))


       我如何才能添加一点对 到其中.望指点.
发表于 2012-11-10 23:47 | 显示全部楼层
用扩展数据
 楼主| 发表于 2012-11-17 22:44 | 显示全部楼层
陨落 发表于 2012-11-10 23:47
用扩展数据

我试了个 102 的点对,可惜还是没有能实现标记,请教!
(DEFUN C:pp ()
  (setq en(entsel))
  (setq name(car en))
  (setq zm(entget name))
  (setq bj(cons 102 "{cjh}"))
  (setq zm(append zm (list bj)))
  (entmod zm)
  (princ)
)
发表于 2012-11-17 23:44 | 显示全部楼层
先用REGAPP函数注册一个,然后我看好像都是用的-3号组码
您需要登录后才可以回帖 登录 | 注册

本版积分规则

小黑屋|手机版|CAD论坛|CAD教程|CAD下载|联系我们|关于明经|明经通道 ( 粤ICP备05003914号  
©2000-2017 明经通道 版权所有 本站代码,在未取得本站及作者授权的情况下,不得用于商业用途

GMT+8, 2019-11-21 01:32 , Processed in 0.198577 second(s), 31 queries , Gzip On.

Powered by Discuz! X3.3

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表